[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.DrawColumnText

Draws the text and image for a grid column title at the specified cell coordinates.

## Declaration

Source position: grids.pas line 1779

`protected procedure TCustomStringGrid.DrawColumnText(`
`aCol: Integer;`
`aRow: Integer;`
`aRect: TRect;`
`aState: TGridDrawState`
`); override;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`aRect` |  | Rectangle with the bounds for the cell.
`aState` |  | Drawing state for the cell.

## Description

DrawColumnText is an overridden method used to draw the text and image for a grid column title at the cell coordinates specified in ACol and ARow. When Columns has been enabled, the inherited method is called to draw the image, sort indicator, and text when needed. When Columns has not been enabled, the DrawColumnTitleImage and DrawCellText methods are called to draw the sort indicator and text for the column.

DrawColumnText is called from the DefaultDrawCell method for cells which contain fixed column titles.